# Namespace: internal

## Classes

- [AdminPostShippingProfilesProfileReq](../classes/internal-24.AdminPostShippingProfilesProfileReq.md)
- [AdminPostShippingProfilesReq](../classes/internal-24.AdminPostShippingProfilesReq.md)

## Type Aliases

### AdminShippingProfilesListRes

Ƭ **AdminShippingProfilesListRes**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `shipping_profiles` | [`ShippingProfile`](../classes/internal.ShippingProfile.md)[] |

#### Defined in

medusa/dist/api/routes/admin/shipping-profiles/index.d.ts:12

___

### AdminShippingProfilesRes

Ƭ **AdminShippingProfilesRes**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `shipping_profile` | [`ShippingProfile`](../classes/internal.ShippingProfile.md) |

#### Defined in

medusa/dist/api/routes/admin/shipping-profiles/index.d.ts:9
